=== debian/changelog ===
brltty (5.6-5~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Upload to jessie-backports-sloppy.
    - debian/brltty.postinst: Set brlapi.key permissions to 0644, since polkit
    is not available here.
    - Use libespeak-dev instead of libespeak-ng-libespeak-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 16:55:22 +0200

brltty (5.6-5) unstable; urgency=medium

  * patches/atspi2-shutdown: Automatically shut down brltty on session shut
    down.
  * control: Bump Standards-Version to 4.1.5 (no changes).
  * control: Mark python-brlapi and python3-brlapi Multi-Arch: same.
  * patches/policykit-fix: Fix polkit authentication (Closes: #905058).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Aug 2018 18:14:54 +0200

brltty (5.6-4~bpo9+1) stretch-backports; urgency=medium

  * Upload to stretch-backports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Jun 2018 21:34:27 +0200

brltty (5.6-4) unstable; urgency=medium

  * Cherry-pick python brlapi close fix, to avoid orca accumulating brlapi
    connections.
  * Cherry-pick at-spi2 initialization fix.
  * Cherry-pick xbrlapi patch to be able to type any keysym.
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 May 2018 19:28:00 +0200

brltty (5.6-3) unstable; urgency=medium

  * debian/patches/41-java-bytecode-compat.patch: Bump java compatability to
    1.6 and later (Closes: Bug#893102).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 16 Mar 2018 15:20:39 +0100

brltty (5.6-2) unstable; urgency=medium

  * debian/copyright: Fix licence terms.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 13 Feb 2018 11:35:38 +0100

brltty (5.6-1) experimental; urgency=medium

  * New upstream release.
    - debian/patches/api_startup.patch: Upstreamed.
    - debian/patches/git-07ecca2240c680373e9c2e5e38241edde9d1a677: Upstreamed.
    - debian/patches/brldefs-install.patch: Upstreamed.
    - debian/patches/git-ba42441d03c6145fe6859c90fb01b1fa16221a2f: Upstreamed.
    - debian/brltty-udeb.udev.rules: Add new device IDs.
    - debian/control: Add liblouis-dev build-dep.
    - debian/rules: Make brltty install appstream data.
  * control: Avoid the ALSA PCM package on non-Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Feb 2018 17:18:14 +0100
