=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: brltty
 Section: admin
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/brltty.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/brltty.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/brltty
+Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
 Homepage: https://brltty.com
-Build-Depends: debhelper (>= 9.20160709), dh-lisp, dh-python, dh-strip-nondeterminism,
-               autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
+Build-Depends: debhelper (>= 11~), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
+               autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
-               python-all-dev (>= 2.7~0),
                python3-all-dev,
-               cython,
+               cython3 (>= 0.28.4),
+               libexpat1-dev, libpcre3-dev,
                libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
                libicu-dev, liblouis-dev,
                libpolkit-gobject-1-dev,
-               default-jdk [!m68k],
+               default-jdk [!hppa !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !m68k],
                doxygen, linuxdoc-tools, groff,
                flite1-dev, libncursesw5-dev,
                libxaw7-dev, x11proto-kb-dev, libxtst-dev,
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
                libspeechd-dev,
-               libespeak-dev
+               libespeak-ng-dev, libespeak-ng-libespeak-dev
 Build-Conflicts: libatspi-dev,
                  libasound2-dev [!linux-any]
-Standards-Version: 4.1.5
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+Standards-Version: 4.4.0
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1
-Recommends: python
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Recommends: python3, policykit-1 [!linux-any]
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
@@ -71,12 +71,12 @@
  BRLTTY also provides a client/server based infrastructure for applications
  wishing to utilize a Braille display.  The daemon process listens for incoming
  TCP/IP connections on a certain port.  A shared object library for clients is
- provided in the package libbrlapi0.6.  A static library, header files and
+ provided in the package libbrlapi0.7.  A static library, header files and
  documentation is provided in package libbrlapi-dev.  Bindings to other
  programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
- and python-brlapi (Python).
-
-Package: libbrlapi0.6
+ and python3-brlapi (Python).
+
+Package: libbrlapi0.7
 Architecture: any
 Multi-arch: same
 Section: libs
@@ -96,7 +96,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libbrlapi0.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libbrlapi0.7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libbrlapi1-dev (<< 3.8)
 Description: Library for communication with BRLTTY - static libs and headers
  BRLTTY is a daemon which provides access to the console (text mode)
@@ -112,6 +112,7 @@
 
 Package: libbrlapi-jni
 Architecture: any
+Multi-Arch: same
 Section: java
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Java bindings for BrlAPI (native library)
@@ -127,6 +128,7 @@
 
 Package: libbrlapi-java
 Architecture: all
+Multi-Arch: foreign
 Section: java
 Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
 Description: Java bindings for BrlAPI
@@ -197,6 +199,7 @@
 
 Package: xbrlapi
 Architecture: any
+Multi-Arch: foreign
 Replaces: brltty-x11 (<< 4.3-3)
 Breaks: brltty-x11 (<< 4.3-3)
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -211,7 +214,7 @@
 Package: cl-brlapi
 Architecture: all
 Section: lisp
-Depends: ${misc:Depends}, cl-cffi, libbrlapi0.6
+Depends: ${misc:Depends}, cl-cffi, libbrlapi0.7
 Description: Common Lisp bindings for BrlAPI
  BRLTTY is a daemon which provides access to the console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -221,21 +224,6 @@
  lets it write braille.
  .
  This package provides Common Lisp bindings vor BrlAPI.
-
-Package: python-brlapi
-Architecture: any
-Multi-Arch: same
-Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Description: Braille display access via BRLTTY - Python bindings
- BRLTTY is a daemon which provides access to the console (text mode)
- for a blind person using a braille display.  It drives the braille
- display and provides complete screen review functionality.
- .
- BrlAPI is a library which gives an application access to a braille display and
- lets it write braille.
- .
- This package provides Python 2.x bindings for BrlAPI.
 
 Package: python3-brlapi
 Architecture: any
