=== debian/rules ===
--- 
+++ 
@@ -5,33 +5,33 @@
 
 PACKAGE=brltty
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-BRLAPI_VERSION=0.6
+BRLAPI_VERSION=0.7
 CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
 DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-# java is not supported by m68k (200712)
-ifeq ($(DEB_HOST_ARCH),m68k)
+# java is not supported on a few archs
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64 m68k))
 export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
 DISABLE_JAVA_SUPPORT=1
 endif
 
-PYDEFAULTVER := $(shell pyversions --default --version)
-PYVERS := $(shell pyversions --requested --version debian/control)
-PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)
+PYVERS := $(shell py3versions --supported --version)
 
 HARDENING = CPPFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)" CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)" CXXFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)"
 
 CONFIGURE_OPTIONS = --mandir=/usr/share/man \
-		    --without-viavoice --without-theta --without-swift
+		    --without-viavoice --without-theta --without-swift \
+		    JAVA_JNI_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
-UDEB_CFLAGS=-Os -fomit-frame-pointer
+DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
 	contracted-braille api gpm iconv icu x polkit
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
-	--without-init-path --without-curses \
+	--without-init-path --without-curses --without-rgx-package \
 	--with-bluetooth-package=none \
 	--with-service-package==none \
 	$(patsubst %,--disable-%,$(UDEB_DISABLE))
@@ -43,6 +43,8 @@
 endif
 
 export JAVA_HOME=/usr/lib/jvm/default-java
+
+PATH := $(JAVA_HOME)/bin:$(PATH)
 
 binary: binary-indep binary-arch
 
@@ -164,6 +166,8 @@
 	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
 	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
+	# Does not work anyway
+	rm -fr build-brltty/Bindings/Java/doc/jquery
 	dh_install	
 	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
 	chmod +x debian/$@/etc/brltty/Contraction/latex-access.ctb
@@ -172,21 +176,24 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
-	dh_systemd_enable -p$@
+	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
+	dh_installsystemd -p$@ --no-enable
+	dh_installsystemd -p$@ --name brltty-udev
 	# -r because we don't want to lose the console on an upgrade
-	dh_installinit -p$@ -r -- start 25 S .
+	# dh_installinit -p$@ --no-start
 	# and likewise for systemd
-	dh_systemd_start -p$@ --restart-after-upgrade
+	dh_installsystemd -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
 	dh_installman
 	dh_lintian
-	dh_python2 -ppython-brlapi
 	dh_python3 -ppython3-brlapi
 	mv debian/brltty/lib/brltty/libbrlttysfl.so \
 		debian/brltty-flite/lib/brltty
 	mv debian/brltty/lib/brltty/libbrlttyssd.so \
 		debian/brltty-speechd/lib/brltty
 	mv debian/brltty/lib/brltty/libbrlttyses.so \
+		debian/brltty-espeak/lib/brltty
+	mv debian/brltty/lib/brltty/libbrlttysen.so \
 		debian/brltty-espeak/lib/brltty
 	mv debian/brltty/lib/brltty/libbrlttybxw.so \
 		debian/brltty-x11/lib/brltty
@@ -207,22 +214,9 @@
 	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
 	dh_strip_nondeterminism -a -i -Nbrltty-udeb
 	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
-	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
+	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
 	dh_compress
-	dh_fixperms
+	dh_fixperms -X /var/lib/BrlAPI
 	dh_makeshlibs -n -p$@
 	dh_makeshlibs -a -Nbrltty-udeb
 	dh_installdeb -a -i -Nbrltty-udeb
-	dh_shlibdeps -a -Nbrltty-udeb
-	dh_gencontrol -a -i -Nbrltty-udeb
-	dh_md5sums -a -i -Nbrltty-udeb
-	dh_builddeb -a -i -Nbrltty-udeb
-
-brltty-udeb: build-udeb
-	dh_testdir
-	dh_testroot
-	dh_installdirs -pbrltty-udeb
-
-	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb
-
-	# temporary fix
