## brltty 6.0+dfsg

=== debian/changelog ===
brltty (6.0+dfsg-6) unstable; urgency=medium

  * brltty-udeb.udev.rules: Merge with upstream's rules file, to make updating
    much easier.
  * brltty-udeb.udev.sh: Add -E option for udev script to make brltty detect
    exactly the right device.
  * README.source: Document the dfsg tarball modifications.
  * patches/sd_session_get_vt: Automatically get VT nr from logind.
  * control: Update alioth list domain.
  * patches/python-writeDots: Fix python's writeDots binding.
  * patches/xbrlapi-root-unknown: do not print the root window name.
  * brltty-udeb.start: Add missing +x perm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jun 2020 02:10:29 +0200

brltty (6.0+dfsg-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * patches/python-verbose: Make python bindings build verbose when V=1 is set.
  * patches/log-spam: Avoid spamming log with recent Orca which tries to
    reconnect periodically.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure).
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Mar 2020 00:14:42 +0100

brltty (6.0+dfsg-4) unstable; urgency=medium

  * patches/python3: Make latex-access.ctb use python3. Make configure look
    for cython3 too.
  * patches/10-python.patch: Use python3's python.mk
  * control: Recommend python3 instead of python.
  * control: Build-depend on cython3 instead of cython (Closes: Bug#945627)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:39:33 +0100

brltty (6.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Oct 2019 19:26:20 +0200

brltty (6.0+dfsg-2) experimental; urgency=medium

  * control,rules: Re-enable java on riscv64 (Closes: Bug#933711)
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Drop X-Python3-Version 3.2.
  * sources/options: Remove now-useless compression option.
  * source/lintian-overrides: Silence some warnings.
  * brltty.{pre,post}{inst,rm}: Remove old upgrade fixes.
  * libbrlapi-dev.lintian-overrides: Silence warnings.
  * rules: Remove non-working jquery files.
  * control: Build-depend on cython (>= 0.28.4).
  * brltty.lintian-overrides: Remove package-contains-empty-directory
    lib/brltty/rw/, dropped upstream.
  * control: Remove autotools-dev build-dep, now useless.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2019 21:24:22 +0200

brltty (6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Remove non-shipped generated files DOS/cwsdpmi.exe, Windows/msvcr90.dll,
    Documents/BrlAPIref/html from upstream tarball.
    - Rename libbrlapi0.6 to libbrlapi0.7 according to soname bump.
    - debian/patches/atspi2-shutdown: Merged.
    - debian/patches/git-atspi2-init: Merged.
    - debian/patches/git-new_hedomobiline_usbid: Merged.
    - debian/patches/git-pythonclose: Merged.
    - debian/patches/git-xbrlapi: Merged.
    - debian/patches/policykit-fix: Merged.
    - debian/patches/10-python.patch: Refreshed.
    - debian/patches/java-jni: Fix jni path, allow to preseed it.
    - control: Add libexpat1-dev, libpcre3-dev build-dependencies.
    - rules: Preseed jni path.
    - rules: Disable using rgx package for d-i which does not have it.
    - control: Explicitly add libespeak-ng-dev build-dependency.
    - rules: Add espeak-ng driver to brltty-espeak package.
    - debian/libbrlapi-jni.install: Move jni to multi-arch.
    - control: Add dh-exec build-depend. Make libbrlapi-jni multiarch: same.
    - control: Make brltty, libbrlapi-java, xbrlapi multi-arch: foreign.
    - compat: Bump to 11.
    - debian/brltty.docs: Drop elder README file.
    - rules: Use dh_installsystemd instead of dh_systemd_enable and
    dh_systemd_start.
  * Demote policykit-1 Depends to Recommends on !linux.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Mar 2019 10:24:01 -0800

brltty (5.6-11) unstable; urgency=medium

  * brltty-udeb.prebaseconfig: Stop creating my-at-spi-dbus-bus.desktop in
    user profile, at-spi2-core now always start the at-spi bus.
  * Drop python-brlapi.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 21:30:08 +0200

brltty (5.6-10) unstable; urgency=medium

  * debian/brltty-udeb.udev.rules: Fix hd detection

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Feb 2019 23:04:56 +0100

brltty (5.6-9) unstable; urgency=medium

  [ Sebastian Humenda ]
  * backport fixed/updated chipset detection for Hedo MobiLine from commit
    7299c5c70682f98b191a660eec5559479bd12d2f

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Jan 2019 22:58:12 +0100

brltty (5.6-8) unstable; urgency=medium

  * Install /var/lib/BrlAPI too for user-started brlapi servers.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 16:59:59 +0100

brltty (5.6-7) unstable; urgency=medium

  * control, rules: Disable java on riscv64 too.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 12:18:36 +0100

brltty (5.6-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * control, rules: Disable java on archs without openjdk.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 03:25:00 +0100
