=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: brltty
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/brltty
 Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
 Homepage: https://brltty.com
-Build-Depends: debhelper (>= 11~), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
+Build-Depends: debhelper-compat (= 11), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
                autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
                python3-all-dev,
@@ -26,12 +25,12 @@
                libespeak-ng-dev, libespeak-ng-libespeak-dev
 Build-Conflicts: libatspi-dev,
                  libasound2-dev [!linux-any]
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 
 Package: brltty
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any]
 Recommends: python3, policykit-1 [!linux-any]
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
@@ -239,4 +238,3 @@
  lets it write braille.
  .
  This package provides Python 3 bindings.
-
