=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 BRLAPI_VERSION=0.7
 CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
-DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 # java is not supported on a few archs
 ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64 m68k))
 export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
@@ -25,8 +24,7 @@
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
-DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
-UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
+UDEB_CFLAGS=-Os -fomit-frame-pointer
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
 	contracted-braille api gpm iconv icu x polkit
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
@@ -44,8 +42,6 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 
-PATH := $(JAVA_HOME)/bin:$(PATH)
-
 binary: binary-indep binary-arch
 
 clean:
@@ -62,7 +58,7 @@
 
 	dh_clean
 
-acdir/config.sub: /usr/share/misc/config.sub 
+acdir/config.sub: /usr/share/misc/config.sub
 	cp -f $< $@
 acdir/config.guess: /usr/share/misc/config.guess
 	cp -f $< $@
@@ -176,11 +172,8 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
-	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
-	dh_installsystemd -p$@ --no-enable
-	dh_installsystemd -p$@ --name brltty-udev
 	# -r because we don't want to lose the console on an upgrade
-	# dh_installinit -p$@ --no-start
+	dh_installinit -p$@ -r -- start 25 S .
 	# and likewise for systemd
 	dh_installsystemd -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
@@ -220,3 +213,17 @@
 	dh_makeshlibs -n -p$@
 	dh_makeshlibs -a -Nbrltty-udeb
 	dh_installdeb -a -i -Nbrltty-udeb
+	dh_shlibdeps -a -Nbrltty-udeb
+	dh_gencontrol -a -i -Nbrltty-udeb
+	dh_md5sums -a -i -Nbrltty-udeb
+	dh_builddeb -a -i -Nbrltty-udeb
+
+brltty-udeb: build-udeb
+	dh_testdir
+	dh_testroot
+	dh_installdirs -pbrltty-udeb
+
+	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb
+
+	# temporary fix
+	rm -Rf debian/brltty-udeb/share
