## brltty 6.3%2Bdfsg

=== debian/changelog ===
brltty (6.3+dfsg-1+deb11u1) bullseye; urgency=medium

  [ Gregory Nowak ]
  * brltty.init: Make it wait for $local_fs, like the systemd service does.
    (Closes: Bug#994729)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Sep 2021 23:37:34 +0200

brltty (6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - patches/lock-fixes: Upstreamed.
    - patches/40-no-update-pot.patch: Refresh.
  * rules: Fix manpage date reproducibility by setting TZ to UTC.
  * brltty.manpages: Explicit list of manpages.
  * xbrlapi.manpages: Install manpage from installed path.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2021 17:45:12 +0100

brltty (6.2+dfsg-2) unstable; urgency=high

  * rules: Fix passing hardening flags to udeb build.
  * patches/lock-fixes: Fix some locking issues.
  * control: Make brltty pre-depend on ${misc:Pre-Depends} to get
    --skip-systemd-native.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Jan 2021 01:53:04 +0100

brltty (6.2+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/atspi2-invalid-unicode: upstreamed.
    - patches/link: upstreamed.
    - patches/polkit: upstreamed.
    - brltty.examples: Update Upstart example file name.

  * Bump debhelper compat from 11 to 12.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 23 Dec 2020 18:24:57 +0100

brltty (6.2~pre.2+dfsg-3) experimental; urgency=medium

  * patches/atspi2-invalid-unicode: Also reject negative unicode characters.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Dec 2020 20:45:15 +0100

brltty (6.2~pre.2+dfsg-2) experimental; urgency=medium

  * patches/atspi2-invalid-unicode: Avoid letting atspi2 return invalid
    unicode characters.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Dec 2020 11:39:28 +0100

brltty (6.2~pre.2+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/no-clone-newipc: Upstreamed.
    - patches/link: Fix link.
    - patches/polkit: Fix installing polkit action.
    - rules: run make install-polkit.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 20:59:56 +0100

brltty (6.2~pre+dfsg-2) experimental; urgency=medium

  * patches/no-clone-newipc: Upstream fix for espeak access to alsa.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Nov 2020 22:43:02 +0100

brltty (6.2~pre+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
    - control: Add libcap-dev build-dep on linux.
    - patches/a2_cut: Upstreamed.
    - patches/a2_x11_crash: Upstreamed.
    - patches/a2_xsel_flush: Upstreamed.
    - patches/python-writeDots: Upstreamed.
    - patches/python3: Upstreamed.
    - patches/sd_session_get_vt: Upstreamed.
    - patches/xbrlapi-install: Upstreamed.
    - patches/xbrlapi-path: Upstreamed.
    - patches/xbrlapi-root-unknown: Upstreamed.
    - patches/41-java-bytecode-compat.patch: Bump to java 8 compatibility.
    - debian/brltty.examples: Fix udev rules examples paths.
    - debian/brltty-udeb.udev.rules: Update udev rules.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Nov 2020 22:49:34 +0100

brltty (6.1+dfsg-3) unstable; urgency=medium

  * patches/a2_xsel_flush: New patch to fix clipboard management.
  * patches/xbrlapi-path: Fix path to xbrlapi program.
  * patches/a2_x11_crash: Fix a2 crash on cursor routing.
  * patches/a2_cut: Fix clipboard management when running a2 screen driver
    without the BrlAPI server.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Nov 2020 18:03:54 +0100

brltty (6.1+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Remove 3 unused lintian overrides.

  * debian/xbrlapi.maintscript: Remove old 60xbrlapi script.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2020 17:54:16 +0200

brltty (6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libbrlapi0.7 package to libbrlapi0.8 according to soname bump.
    - brltty-udeb.udev.rules: Update with new driver support.
    - patches/50-constants.patch: Upstreamed.
    - patches/java-jni: Upstreamed.
    - patches/python3: Refresh.
    - patches/python-verbose: Upstreamed.
    - patches/log-spam: Upstreamed.
    - control: Add libxfixes-dev build-dep.
    - patches/xbrlapi-install: New patch, fixes installing 90xbrlapi from
    out-of-source builds.
    - brltty.examples: Install systemd wrapper example too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 23:44:34 +0200
